<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ServiceCategory extends Model
{
    use HasFactory;

    protected $fillable = ['laundry_id', 'name'];

    public function laundry()
    {
        return $this->belongsTo(Laundry::class);
    }

    public function services()
    {
        return $this->hasMany(Service::class);
    }
}
