<?php

namespace Database\Factories;

use App\Models\Laundry;
use Illuminate\Database\Eloquent\Factories\Factory;

class LaundryFactory extends Factory
{
    protected $model = Laundry::class;

    public function definition()
    {
        return [
            'name' => $this->faker->company,
            'logo' => $this->faker->imageUrl, // Use a default logo or a random one if available
            'latitude' => $this->faker->latitude,
            'longitude' => $this->faker->longitude,
        ];
    }
}
