<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DeliveryNotification extends Model
{
    use HasFactory;

    protected $fillable = ['delivery_id', 'title', 'message', 'status', 'is_read'];

    public function delivery()
    {
        return $this->belongsTo(Delivery::class);
    }
}
