<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Laundry extends Model
{
    use HasFactory;

    protected $fillable = ['name', 'logo', 'latitude', 'longitude'];

    public function services()
    {
        return $this->hasMany(Service::class);
    }
}
