<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Service extends Model
{
    use HasFactory;

    protected $fillable = ['service_category_id', 'name', 'price', 'is_express', 'description'];

    public function category()
    {
        return $this->belongsTo(ServiceCategory::class);
    }
}
