<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\Laundry;
use App\Events\LaundryCreated;

class LaundrySeeder extends Seeder
{
    public function run()
    {
        Laundry::factory()->count(20)->create()->each(function ($laundry) {
            event(new LaundryCreated($laundry));
        });
    }
}
